Skip to main content
`Ctrl`+`K`

# PetscLogClassGetClassId

Returns the `PetscClassId` when given the class name.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogClassGetClassId(const char name[], PetscClassId *classid)

Not Collective

## Input Parameter

- name - The class name

## Output Parameter

- classid - The `PetscClassId` id, or -1 if no class with that name exists

## See Also

Profiling, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscLogStageGetId()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages